
JOYSTIC_BY_BOKI_interrupt:

;JOYSTIC_BY_BOKI.mbas,110 :: 		sub procedure interrupt   ' Main Interrupt Routine
;JOYSTIC_BY_BOKI.mbas,111 :: 		HID_InterruptProc
	CALL        _HID_InterruptProc+0, 0
L_JOYSTIC_BY_BOKI_interrupt45:
	RETFIE      1
; end of JOYSTIC_BY_BOKI_interrupt

JOYSTIC_BY_BOKI_Init_Main:

;JOYSTIC_BY_BOKI.mbas,116 :: 		sub procedure Init_Main   ' Initialization Routine
;JOYSTIC_BY_BOKI.mbas,120 :: 		INTCON = 0              ' Disable GIE, PEIE, TMR0IE,INT0IE, RBIE
	CLRF        INTCON+0 
;JOYSTIC_BY_BOKI.mbas,121 :: 		INTCON2 = 0x75          ' Turn on PORTB pull-ups
	MOVLW       117
	MOVWF       INTCON2+0 
;JOYSTIC_BY_BOKI.mbas,122 :: 		INTCON3 = 0xC0
	MOVLW       192
	MOVWF       INTCON3+0 
;JOYSTIC_BY_BOKI.mbas,123 :: 		RCON.IPEN = 0           ' Disable Priority Levels on interrupts
	BCF         RCON+0, 7 
;JOYSTIC_BY_BOKI.mbas,124 :: 		PIE1 = 0  PIE2 = 0  PIR1 = 0  PIR2 = 0
	CLRF        PIE1+0 
	CLRF        PIE2+0 
	CLRF        PIR1+0 
	CLRF        PIR2+0 
;JOYSTIC_BY_BOKI.mbas,125 :: 		LATA = 0  LATB = 0  LATC = 0
	CLRF        LATA+0 
	CLRF        LATB+0 
	CLRF        LATC+0 
;JOYSTIC_BY_BOKI.mbas,128 :: 		ADCON0 = 0x01
	MOVLW       1
	MOVWF       ADCON0+0 
;JOYSTIC_BY_BOKI.mbas,129 :: 		ADCON1 = 0x31      ' RA2, RA3  are joystick axis inputs REFERENCA
	MOVLW       49
	MOVWF       ADCON1+0 
;JOYSTIC_BY_BOKI.mbas,130 :: 		ADCON2 = 0xBE
	MOVLW       190
	MOVWF       ADCON2+0 
;JOYSTIC_BY_BOKI.mbas,133 :: 		TRISC.0 = 1  ' RC0 input  Columns 1 - with pullup
	BSF         TRISC+0, 0 
;JOYSTIC_BY_BOKI.mbas,134 :: 		TRISC.1 = 1  ' RC1 input  Columns 2 - with pullup
	BSF         TRISC+0, 1 
;JOYSTIC_BY_BOKI.mbas,135 :: 		TRISC.2 = 1  ' RC2 input  Columns 3 - with pullup
	BSF         TRISC+0, 2 
;JOYSTIC_BY_BOKI.mbas,137 :: 		TRISC.6 = 0  ' RC6 output Rows 1
	BCF         TRISC+0, 6 
;JOYSTIC_BY_BOKI.mbas,138 :: 		TRISC.7 = 0  ' RC7 output Rows 2
	BCF         TRISC+0, 7 
;JOYSTIC_BY_BOKI.mbas,139 :: 		TRISA.4 = 0  ' RA4 output Rows 3
	BCF         TRISA+0, 4 
;JOYSTIC_BY_BOKI.mbas,140 :: 		TRISB.6 = 0  ' RB6 output Rows 4
	BCF         TRISB+0, 6 
	RETURN      0
; end of JOYSTIC_BY_BOKI_Init_Main

_main:

;JOYSTIC_BY_BOKI.mbas,145 :: 		main:                          ' Main Program Routine
;JOYSTIC_BY_BOKI.mbas,146 :: 		Init_Main()
	CALL        JOYSTIC_BY_BOKI_Init_Main+0, 0
;JOYSTIC_BY_BOKI.mbas,147 :: 		FOR BR = 0 TO 11
	CLRF        _BR+0 
L__main4:
;JOYSTIC_BY_BOKI.mbas,148 :: 		userWR_buffer[BR] = 0x00   ' Initialize everything to 0
	MOVLW       _userWR_buffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FSR1H 
	MOVF        _BR+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;JOYSTIC_BY_BOKI.mbas,149 :: 		NEXT BR
	MOVF        _BR+0, 0 
	XORLW       11
	BTFSC       STATUS+0, 2 
	GOTO        L__main7
	INCF        _BR+0, 1 
	GOTO        L__main4
L__main7:
;JOYSTIC_BY_BOKI.mbas,151 :: 		FOR BR = 0 TO 4
	CLRF        _BR+0 
L__main9:
;JOYSTIC_BY_BOKI.mbas,152 :: 		BUTT[BR] = 0x00            ' Initialize everything to 0
	MOVLW       _BUTT+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_BUTT+0)
	MOVWF       FSR1H 
	MOVF        _BR+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;JOYSTIC_BY_BOKI.mbas,153 :: 		NEXT BR
	MOVF        _BR+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L__main12
	INCF        _BR+0, 1 
	GOTO        L__main9
L__main12:
;JOYSTIC_BY_BOKI.mbas,154 :: 		HID_Enable(@userRD_buffer, @userWR_buffer)
	MOVLW       _userRD_buffer+0
	MOVWF       FARG_HID_Enable_ReadBuff+0 
	MOVLW       hi_addr(_userRD_buffer+0)
	MOVWF       FARG_HID_Enable_ReadBuff+1 
	MOVLW       _userWR_buffer+0
	MOVWF       FARG_HID_Enable_WriteBuff+0 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FARG_HID_Enable_WriteBuff+1 
	CALL        _HID_Enable+0, 0
;JOYSTIC_BY_BOKI.mbas,155 :: 		Delay_ms(1000)
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L__main13:
	DECFSZ      R13, 1, 0
	BRA         L__main13
	DECFSZ      R12, 1, 0
	BRA         L__main13
	DECFSZ      R11, 1, 0
	BRA         L__main13
	NOP
	NOP
;JOYSTIC_BY_BOKI.mbas,156 :: 		Delay_ms(1000)
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L__main14:
	DECFSZ      R13, 1, 0
	BRA         L__main14
	DECFSZ      R12, 1, 0
	BRA         L__main14
	DECFSZ      R11, 1, 0
	BRA         L__main14
	NOP
	NOP
;JOYSTIC_BY_BOKI.mbas,160 :: 		while true
L__main16:
;JOYSTIC_BY_BOKI.mbas,173 :: 		PORTA.4 = 1  PORTB.6 = 1 PORTC.6 = 0 PORTC.7 = 1
	BSF         PORTA+0, 4 
	BSF         PORTB+0, 6 
	BCF         PORTC+0, 6 
	BSF         PORTC+0, 7 
;JOYSTIC_BY_BOKI.mbas,174 :: 		BUTT[0] = 1 BUTT[1] = 1 BUTT[2] = 1  BUTT[3] = 1
	MOVLW       1
	MOVWF       _BUTT+0 
	MOVLW       1
	MOVWF       _BUTT+1 
	MOVLW       1
	MOVWF       _BUTT+2 
	MOVLW       1
	MOVWF       _BUTT+3 
;JOYSTIC_BY_BOKI.mbas,175 :: 		IF (PORTC.1 = 0) THEN BUTT[1] = 0 END IF  ' B
	BTFSC       PORTC+0, 1 
	GOTO        L__main21
	CLRF        _BUTT+1 
L__main21:
;JOYSTIC_BY_BOKI.mbas,176 :: 		IF (PORTC.2 = 0) THEN BUTT[2] = 0 END IF  ' C
	BTFSC       PORTC+0, 2 
	GOTO        L__main24
	CLRF        _BUTT+2 
L__main24:
;JOYSTIC_BY_BOKI.mbas,177 :: 		IF (PORTC.0 = 0) THEN BUTT[1] = 0 BUTT[2] = 0 END IF  ' D
	BTFSC       PORTC+0, 0 
	GOTO        L__main27
	CLRF        _BUTT+1 
	CLRF        _BUTT+2 
L__main27:
;JOYSTIC_BY_BOKI.mbas,178 :: 		IF (PORTE.3 = 0) THEN BUTT[3] = 0 END IF  'A
	BTFSC       PORTE+0, 3 
	GOTO        L__main30
	CLRF        _BUTT+3 
L__main30:
;JOYSTIC_BY_BOKI.mbas,179 :: 		IF (PORTC.0 = 1) AND (PORTC.1 = 1) AND (PORTC.2 = 1) THEN NEGACIJA = 0 ELSE NEGACIJA = 1 END IF
	BTFSC       PORTC+0, 0 
	GOTO        L__main46
	BCF         R5, 0 
	GOTO        L__main47
L__main46:
	BSF         R5, 0 
L__main47:
	CLRF        R1 
	BTFSS       PORTC+0, 1 
	GOTO        L__main35
	MOVLW       255
	MOVWF       R1 
L__main35:
	CLRF        R0 
	BTFSC       R5, 0 
	INCF        R0, 1 
	MOVF        R0, 0 
	ANDWF       R1, 1 
	CLRF        R0 
	BTFSS       PORTC+0, 2 
	GOTO        L__main36
	MOVLW       255
	MOVWF       R0 
L__main36:
	MOVF        R1, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main33
	CLRF        _NEGACIJA+0 
	GOTO        L__main34
L__main33:
	MOVLW       1
	MOVWF       _NEGACIJA+0 
L__main34:
;JOYSTIC_BY_BOKI.mbas,180 :: 		IF (BUTT[3] = 0) AND (NEGACIJA = 0) THEN NEGACIJA = 1 END IF
	MOVF        _BUTT+3, 0 
	XORLW       0
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R1 
	MOVF        _NEGACIJA+0, 0 
	XORLW       0
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main38
	MOVLW       1
	MOVWF       _NEGACIJA+0 
L__main38:
;JOYSTIC_BY_BOKI.mbas,181 :: 		BUTTONS[0].0 = BUTT[0]
	BTFSC       _BUTT+0, 0 
	GOTO        L__main48
	BCF         _BUTTONS+0, 0 
	GOTO        L__main49
L__main48:
	BSF         _BUTTONS+0, 0 
L__main49:
;JOYSTIC_BY_BOKI.mbas,182 :: 		BUTTONS[0].1 = BUTT[1]
	BTFSC       _BUTT+1, 0 
	GOTO        L__main50
	BCF         _BUTTONS+0, 1 
	GOTO        L__main51
L__main50:
	BSF         _BUTTONS+0, 1 
L__main51:
;JOYSTIC_BY_BOKI.mbas,183 :: 		BUTTONS[0].2 = BUTT[2]
	BTFSC       _BUTT+2, 0 
	GOTO        L__main52
	BCF         _BUTTONS+0, 2 
	GOTO        L__main53
L__main52:
	BSF         _BUTTONS+0, 2 
L__main53:
;JOYSTIC_BY_BOKI.mbas,184 :: 		BUTTONS[0].3 = NEGACIJA
	BTFSC       _NEGACIJA+0, 0 
	GOTO        L__main54
	BCF         _BUTTONS+0, 3 
	GOTO        L__main55
L__main54:
	BSF         _BUTTONS+0, 3 
L__main55:
;JOYSTIC_BY_BOKI.mbas,197 :: 		PORTA.4 = 1 PORTB.6 = 1 PORTC.6 = 1 PORTC.7 = 0
	BSF         PORTA+0, 4 
	BSF         PORTB+0, 6 
	BSF         PORTC+0, 6 
	BCF         PORTC+0, 7 
;JOYSTIC_BY_BOKI.mbas,198 :: 		BUTTONS[0].4 = PORTC.0
	BTFSC       PORTC+0, 0 
	GOTO        L__main56
	BCF         _BUTTONS+0, 4 
	GOTO        L__main57
L__main56:
	BSF         _BUTTONS+0, 4 
L__main57:
;JOYSTIC_BY_BOKI.mbas,199 :: 		BUTTONS[0].5 = PORTC.1
	BTFSC       PORTC+0, 1 
	GOTO        L__main58
	BCF         _BUTTONS+0, 5 
	GOTO        L__main59
L__main58:
	BSF         _BUTTONS+0, 5 
L__main59:
;JOYSTIC_BY_BOKI.mbas,200 :: 		BUTTONS[0].6 = PORTC.2
	BTFSC       PORTC+0, 2 
	GOTO        L__main60
	BCF         _BUTTONS+0, 6 
	GOTO        L__main61
L__main60:
	BSF         _BUTTONS+0, 6 
L__main61:
;JOYSTIC_BY_BOKI.mbas,201 :: 		BUTTONS[0].7 = PORTE.3
	BTFSC       PORTE+0, 3 
	GOTO        L__main62
	BCF         _BUTTONS+0, 7 
	GOTO        L__main63
L__main62:
	BSF         _BUTTONS+0, 7 
L__main63:
;JOYSTIC_BY_BOKI.mbas,204 :: 		PORTA.4 = 0 PORTB.6 = 1 PORTC.6 = 1 PORTC.7 = 1
	BCF         PORTA+0, 4 
	BSF         PORTB+0, 6 
	BSF         PORTC+0, 6 
	BSF         PORTC+0, 7 
;JOYSTIC_BY_BOKI.mbas,205 :: 		BUTTONS[1].0 = PORTC.0
	BTFSC       PORTC+0, 0 
	GOTO        L__main64
	BCF         _BUTTONS+1, 0 
	GOTO        L__main65
L__main64:
	BSF         _BUTTONS+1, 0 
L__main65:
;JOYSTIC_BY_BOKI.mbas,206 :: 		BUTTONS[1].1 = PORTC.1
	BTFSC       PORTC+0, 1 
	GOTO        L__main66
	BCF         _BUTTONS+1, 1 
	GOTO        L__main67
L__main66:
	BSF         _BUTTONS+1, 1 
L__main67:
;JOYSTIC_BY_BOKI.mbas,207 :: 		BUTTONS[1].2 = PORTC.2
	BTFSC       PORTC+0, 2 
	GOTO        L__main68
	BCF         _BUTTONS+1, 2 
	GOTO        L__main69
L__main68:
	BSF         _BUTTONS+1, 2 
L__main69:
;JOYSTIC_BY_BOKI.mbas,208 :: 		BUTTONS[1].3 = PORTE.3
	BTFSC       PORTE+0, 3 
	GOTO        L__main70
	BCF         _BUTTONS+1, 3 
	GOTO        L__main71
L__main70:
	BSF         _BUTTONS+1, 3 
L__main71:
;JOYSTIC_BY_BOKI.mbas,211 :: 		PORTA.4 = 1 PORTB.6 = 0 PORTC.6 = 1 PORTC.7 = 1
	BSF         PORTA+0, 4 
	BCF         PORTB+0, 6 
	BSF         PORTC+0, 6 
	BSF         PORTC+0, 7 
;JOYSTIC_BY_BOKI.mbas,212 :: 		BUTTONS[1].4 = PORTC.0
	BTFSC       PORTC+0, 0 
	GOTO        L__main72
	BCF         _BUTTONS+1, 4 
	GOTO        L__main73
L__main72:
	BSF         _BUTTONS+1, 4 
L__main73:
;JOYSTIC_BY_BOKI.mbas,213 :: 		BUTTONS[1].5 = PORTC.1
	BTFSC       PORTC+0, 1 
	GOTO        L__main74
	BCF         _BUTTONS+1, 5 
	GOTO        L__main75
L__main74:
	BSF         _BUTTONS+1, 5 
L__main75:
;JOYSTIC_BY_BOKI.mbas,214 :: 		BUTTONS[1].6 = PORTC.2
	BTFSC       PORTC+0, 2 
	GOTO        L__main76
	BCF         _BUTTONS+1, 6 
	GOTO        L__main77
L__main76:
	BSF         _BUTTONS+1, 6 
L__main77:
;JOYSTIC_BY_BOKI.mbas,215 :: 		BUTTONS[1].7 = PORTE.3
	BTFSC       PORTE+0, 3 
	GOTO        L__main78
	BCF         _BUTTONS+1, 7 
	GOTO        L__main79
L__main78:
	BSF         _BUTTONS+1, 7 
L__main79:
;JOYSTIC_BY_BOKI.mbas,216 :: 		PORTA.4 = 1 PORTB.6 = 1 PORTC.6 = 1 PORTC.7 = 1
	BSF         PORTA+0, 4 
	BSF         PORTB+0, 6 
	BSF         PORTC+0, 6 
	BSF         PORTC+0, 7 
;JOYSTIC_BY_BOKI.mbas,219 :: 		FOR BR = 0 TO 2
	CLRF        _BR+0 
L__main41:
;JOYSTIC_BY_BOKI.mbas,220 :: 		buttons[BR]= NOT buttons[BR]
	MOVLW       _BUTTONS+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_BUTTONS+0)
	MOVWF       FSR1H 
	MOVF        _BR+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       _BUTTONS+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_BUTTONS+0)
	MOVWF       FSR0H 
	MOVF        _BR+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	COMF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;JOYSTIC_BY_BOKI.mbas,221 :: 		NEXT BR
	MOVF        _BR+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L__main44
	INCF        _BR+0, 1 
	GOTO        L__main41
L__main44:
;JOYSTIC_BY_BOKI.mbas,224 :: 		userWR_buffer[0] = adc_read(10)>>2  ' Read RZ
	MOVLW       10
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	MOVF        R2, 0 
	MOVWF       _userWR_buffer+0 
;JOYSTIC_BY_BOKI.mbas,225 :: 		userWR_buffer[1] = adc_read(0)>>2   ' Read X
	CLRF        FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	MOVF        R2, 0 
	MOVWF       _userWR_buffer+1 
;JOYSTIC_BY_BOKI.mbas,226 :: 		userWR_buffer[2] = adc_read(1)>>2   ' Read Y
	MOVLW       1
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	MOVF        R2, 0 
	MOVWF       _userWR_buffer+2 
;JOYSTIC_BY_BOKI.mbas,227 :: 		userWR_buffer[3] = adc_read(4)>>2   ' Read Z
	MOVLW       4
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	MOVF        R2, 0 
	MOVWF       _userWR_buffer+3 
;JOYSTIC_BY_BOKI.mbas,228 :: 		userWR_buffer[4] = adc_read(8)>>2   ' Read RX
	MOVLW       8
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	MOVF        R2, 0 
	MOVWF       _userWR_buffer+4 
;JOYSTIC_BY_BOKI.mbas,229 :: 		userWR_buffer[5] = adc_read(9)>>2   ' Read RY
	MOVLW       9
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	MOVF        R2, 0 
	MOVWF       _userWR_buffer+5 
;JOYSTIC_BY_BOKI.mbas,230 :: 		userWR_buffer[6] = adc_read(12)>>2  ' Read DIAL
	MOVLW       12
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	MOVF        R2, 0 
	MOVWF       _userWR_buffer+6 
;JOYSTIC_BY_BOKI.mbas,231 :: 		userWR_buffer[7] = adc_read(11)>>2  ' Read SLIDER
	MOVLW       11
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	RRCF        R2, 1 
	BCF         R3, 7 
	MOVF        R2, 0 
	MOVWF       _userWR_buffer+7 
;JOYSTIC_BY_BOKI.mbas,234 :: 		userWR_buffer[8] = BUTTONS[0]      ' HAT and buttons 1, 2, 3, 4
	MOVF        _BUTTONS+0, 0 
	MOVWF       _userWR_buffer+8 
;JOYSTIC_BY_BOKI.mbas,235 :: 		userWR_buffer[9] = BUTTONS[1]      ' buttons 5, 6, 7, 8, 9, 10, 11, 12
	MOVF        _BUTTONS+1, 0 
	MOVWF       _userWR_buffer+9 
;JOYSTIC_BY_BOKI.mbas,237 :: 		HID_Write(@userWR_buffer, 10)
	MOVLW       _userWR_buffer+0
	MOVWF       FARG_HID_Write_Buffer+0 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FARG_HID_Write_Buffer+1 
	MOVLW       10
	MOVWF       FARG_HID_Write_Len+0 
	CALL        _HID_Write+0, 0
;JOYSTIC_BY_BOKI.mbas,241 :: 		wend
	GOTO        L__main16
;JOYSTIC_BY_BOKI.mbas,242 :: 		HID_Disable()
	GOTO        $+0
; end of _main
